KDE 4.7 PyKDE API Reference

- KDE's Python API

# KCatalogLoader Class Reference

`from PyKDE4.kdecore import *`

## Detailed Description

This class is useful in libraries where you want to make sure that anyone that uses your library will get the correct catalog loaded. Just declare a static KCatalogLoader in the global namespace of one of your cpp files and that will load your catalog once the global klocale is created

Parameters:

  | catalogName | The name of your catalog

Since:
  4.6.2

Example:

     static const KCatalogLoader loader("libkdepim");

## Methods
| __init__ (self, QString catalogName)

## Method Documentation

__init__ | ( | self, |
|  | QString | catalogName
| ) |  |  |